Skip to main content
PATCH
Update a page

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".

page_id
string
required

Page ID is a numerical string that identifies a Page.

Body

application/json

Page fields that need to be updated. All omitted fields are left unmodified.

title
string | null
Example:

"Team Page"

font
string | null
project_id
string | null
Example:

"3"

cover_image
object
icon
object
is_public
boolean | null
Example:

false

parent_page_id
string | null

Parent page ID this page should be placed under. Send an empty string to place the page at the root of the project

Example:

"44"

position
integer | null

a position where the page should be placed in relation to its siblings

Example:

3

public_settings
object
archived
boolean | null

make this page archived or unarchived

Example:

true

hide_table_of_contents
boolean | null

whether to show a table of contents on page

Example:

true

hide_subpages
boolean | null

whether to show subpages section on page

Example:

true

Response

updated page response

page
object